For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • Introduction
    • Welcome to Monite
    • Monite account structure
    • Postman collections
    • Support
  • Get started
    • Step 1. Get your credentials
    • Step 2. Implement server side
      • Overview
      • Payment methods
        • Overview
        • Enable payment methods
          • Onboarding flow
          • Key persons
          • Verification documents
          • Additional onboarding data
        • Onboarding Web Component
      • Payment links
      • Payment intents
      • Payment Web Component
      • Payment page customization
      • Testing payments
      • MCC
LogoLogo
API StatusPartner Portal
On this page
  • Overview
  • Roles and permissions
  • Add a person to an entity
  • List all persons
  • Retrieve a person
  • Edit a person
  • Delete a person
PaymentsOnboardingAPI-only onboarding

Entity persons

Learn how to provide information about the key persons of organization-type entities.

Was this page helpful?
Previous

Entity verification documents

Learn how to provide the documents that entities need for seamless payments onboarding.
Next
Built with

Overview

Entities of type organization that want to use Monite payment rails must provide information about their key persons as part of payments onboarding. The key persons include the primary representative, business owners, directors, and executives.

Roles and permissions

To use the /persons* endpoints with an entity user token, this entity user must have a role with the person permission.

If using a partner-level token, no special permissions are needed.

Add a person to an entity

To add a person to an entity, call POST /entities/{entity_id}/persons:

1curl -X POST 'https://api.sandbox.monite.com/v1/entities/{entity_id}/persons' \
2 -H 'X-Monite-Version: 2024-01-31' \
3 -H 'Authorization: Bearer ACCESS_TOKEN' \
4 -H 'Content-Type: application/json' \
5 -d '{
6 "address": {
7 "country": "DE",
8 "line1": "Flughafenstrasse 52",
9 "line2": "Additional information",
10 "postal_code": "10115",
11 "city": "Berlin",
12 "state": "BE"
13 },
14 "date_of_birth": "1993-03-14",
15 "first_name": "Mary",
16 "last_name": "O\'Brien",
17 "email": "user@example.com",
18 "phone": "+4903023125000",
19 "relationship": {
20 "title": "CEO",
21 "representative": false,
22 "executive": true,
23 "director": false,
24 "owner": false,
25 "percent_ownership": 10
26 },
27 "id_number": "NL000099998B57",
28 "ssn_last_4": "0001"
29 }'

Notes:

  • An entity can have only one relationship.representative.
  • id_number is an optional field required only for Dutch citizens.
  • ssn_last_4 is an optional field required only for US citizens.

The successful response returns the ID assigned to this person, along with the information passed in the request:

1{
2 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
3 "created_at": "2023-03-14T15:08:12.037Z",
4 "updated_at": "2023-03-14T15:08:12.037Z",
5 "first_name": "Mary",
6 "last_name": "O'Brien",
7 ...
8}

List all persons

To get information about all persons associated with the specified entity, call
GET /entities/{entity_id}/persons.

Retrieve a person

To get information about a specific person associated with the specified entity, call
GET /entities/{entity_id}/persons/{person_id}.

Edit a person

To edit an existing person of the specified entity, call
PATCH /entities/{entity_id}/persons/{person_id}.

Delete a person

To delete an existing person from the list of persons associated with the specified entity, call
DELETE /entities/{entity_id}/persons/{person_id}.